{
  "name": "nextts-template",
  "version": "0.1.0",
  "private": true,
  "scripts": {
    "dev": "next dev",
    "build": "next build",
    "start": "next start",
    "pre-commit": "lint-staged",
    "prepare": "husky || true",
    "format": "prettier --write \"**/*.{ts,tsx}\"",
    "lint:style": "stylelint \"**/*.css\"",
    "lint:style:fix": "stylelint --fix \"**/*.css\"",
    "lint": "next lint",
    "lint:fix": "next lint --fix --ext .ts,.tsx .",
    "test": "jest",
    "test:watch": "jest --watch",
    "test:coverage": "npm run test -- --coverage",
    "test:snapshot:update": "npm run test --updateSnapshot",
    "test:e2e": "cypress open",
    "test:headless:e2e": "cypress run",
    "test:record": "cypress run --record",
    "test:headless:browser:e2e": "cypress run -b chrome --headless",
    "start:ci": "start-server-and-test start http://localhost:3000/ test:headless:browser:e2e",
    "jest:ci": "npm run test -- --testResultsProcessor=\"jest-junit\" --watchAll=false --ci"
  },
  "dependencies": {
    "@radix-ui/react-slot": "^1.0.2",
    "class-variance-authority": "^0.7.0",
    "clsx": "^2.1.1",
    "lucide-react": "^0.390.0",
    "next": "14.2.3",
    "react": "^18",
    "react-dom": "^18",
    "start-server-and-test": "^2.0.4",
    "tailwind-merge": "^2.3.0",
    "tailwindcss-animate": "^1.0.7"
  },
  "devDependencies": {
    "@commitlint/cli": "^19.3.0",
    "@commitlint/config-conventional": "^19.2.2",
    "@testing-library/cypress": "^10.0.2",
    "@testing-library/jest-dom": "^6.4.5",
    "@testing-library/react": "^16.0.0",
    "@types/jest": "^29.5.12",
    "@types/node": "^20",
    "@types/react": "^18",
    "@types/react-dom": "^18",
    "@typescript-eslint/eslint-plugin": "^7.12.0",
    "cypress": "^13.11.0",
    "eslint": "^8",
    "eslint-config-next": "14.2.3",
    "eslint-config-prettier": "^9.1.0",
    "eslint-plugin-cypress": "^3.3.0",
    "eslint-plugin-import-helpers": "^1.3.1",
    "eslint-plugin-prettier": "^5.1.3",
    "eslint-plugin-unused-imports": "^3.2.0",
    "husky": "^9.0.11",
    "jest": "^29.7.0",
    "jest-environment-jsdom": "^29.7.0",
    "jest-junit": "^16.0.0",
    "lint-staged": "^15.2.5",
    "postcss": "^8",
    "prettier": "^3.3.1",
    "stylelint": "^16.6.1",
    "stylelint-config-sass-guidelines": "^11.1.0",
    "stylelint-config-standard": "^36.0.0",
    "stylelint-group-selectors": "^1.0.10",
    "stylelint-order": "^6.0.4",
    "stylelint-scss": "^6.3.1",
    "tailwindcss": "^3.4.1",
    "typescript": "^5"
  },
  "lint-staged": {
    "**/*.scss": [
      "stylelint --fix",
      "stylelint"
    ],
    "**/*.{ts,tsx}": [
      "eslint --fix --ext .ts,.tsx .",
      "prettier --write .",
      "eslint  --ext .ts,.tsx ."
    ]
  },
  "engines": {
    "node": "^20.12.2",
    "yarn": "please-use-npm"
  }
}
